Summary: A drag and drop file manager.
Name: OffiX-Files
Version: 2.4e
Release: 7
Group: Applications/File
Copyright: GPL
Source: ftp://ftp.leb.net/pub/offix/Files-2.4e.tar.gz
Source1: offix-files.desktop
Patch0: Files-2.4a-fhs.diff
Patch1: Files-2.4a-Xaw3d.diff
Patch2: offix-files.patch 
URL: http://leb.net/OffiX/
BuildRoot: /var/tmp/Files-build/

%description
Based on xfm, OffiX-Files provides all the standard file
management capabilities: moving around the directory tree in multiple
windows; moving, copying or deleting files; launching programs with
simple mouse operations.  Also, note that it is the preferred file
manager for certain sub-basement inhabiting spooky FBI agents...

%prep
%setup -q -n Files-2.4e
%patch0 -p1
%patch1 -p1
%patch2 -p1 

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6 --with-dnd-inc=/usr/X11R6/include/X11 --with-dnd-lib=/usr/X11R6/lib --datadir=/usr/X11R6/lib/X11 --includedir=/usr/X11R6/include/X11 --with-magic-headers
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/
make prefix=$RPM_BUILD_ROOT/usr/X11R6 datadir=$RPM_BUILD_ROOT/usr/X11R6/lib/X11 includedir=$RPM_BUILD_ROOT/usr/X11R6/include/X11 install
strip $RPM_BUILD_ROOT/usr/X11R6/bin/files
install -m 644 src/Files.ad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Files

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Applications/ 
install -m 644 -o root -g root $RPM_SOURCE_DIR/offix-files.desktop $RPM_BUILD_ROOT/etc/X11/applnk/Applications/ 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README THANKS
%dir /usr/X11R6/lib/X11/OffiX
%config /usr/X11R6/lib/X11/OffiX/FilesMagic
%config /usr/X11R6/lib/X11/OffiX/Filesrc
/usr/X11R6/bin/files
/usr/X11R6/man/man1/files.1
/usr/X11R6/man/man3/regexp.3
/usr/X11R6/lib/X11/app-defaults/Files
/usr/X11R6/include/X11/pixmaps
/usr/X11R6/include/X11/bitmaps
/etc/X11/applnk/Applications/offix-files.desktop

%changelog
* Mon Jun 28 1999 Tim Powers <timp@redhat.com>
- removed line in spec for exclusivearch for alpha and intel, lets see if it
  runs un sparc now.
- rebuilt package for Powertools 6.1

* Mon Apr 12 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Wed Oct 06 1998 Michael Maher <mike@redhat.com>
- cleaned up spec file, built package

* Tue Jan 27 1998 Otto Hammersmith <otto@redhat.com>
- added desktop

* Thu Jan 22 1998 Otto Hammersmith <otto@redhat.com>
- snagged the contrib packge and cleaned it up a bit
